## g95 0.92

=== Makefile ===
#!/bin/sh
#
# Installer for g95 <http://www.g95.org/>
#
##########################################################################
VERSION=0.92
# for debian package
DESTDIR=./debian/g95/usr
#
# Directory to which the binary files are installed
BINDIR=$(DESTDIR)/bin
#
# Directory to which the libraries are installed
LIBDIR=$(DESTDIR)/lib/g95/lib
LIBBINDIR=$(DESTDIR)/lib/g95/bin
#
# Directory to which the documents are installed
DOCDIR=$(DESTDIR)/share/doc/g95

EXECNAME = g95
DOCFILES = G95Manual.pdf 

##########################################################################

all: clean

getamd64:
	wget http://ftp.g95.org/v$(VERSION)/g95-x86_64-32-linux.tgz
	tar xvzf g95-x86_64-32-linux.tgz -C ./
	mv g95-install/* ./
	rm -r g95-install g95-x86_64-32-linux.tgz

geti386:
	wget http://ftp.g95.org/v$(VERSION)/g95-x86-linux.tgz
	tar xvzf g95-x86-linux.tgz -C ./
	mv g95-install/* ./
	rm -r g95-install g95-x86-linux.tgz

install: lib-install bin-install doc

lib-install:
	if [ ! -d $(LIBDIR) ]; then mkdir -p $(LIBDIR); fi
	if [ ! -d $(LIBBINDIR) ]; then mkdir -p $(LIBBINDIR); fi
	cp -r lib/* $(LIBDIR)/
	cp bin/* $(LIBBINDIR)/

bin-install: 
	if [ ! -d $(BINDIR) ]; then mkdir -p $(BINDIR); fi
	cd $(BINDIR) ; ln -s ../lib/g95/bin/* ./$(EXECNAME)

doc:
	if [ ! -d $(DOCDIR) ]; then mkdir -p $(DOCDIR); fi
	cp $(DOCFILES) $(DOCDIR)/

clean:	
	-rm *~ */*~
	-rm -rf bin lib G95Manual.pdf INSTALL *.tgz g95-install

=== debian/changelog ===
g95 (0.92-3) unstable; urgency=low

  * fix wrong depends: ia32-libs

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 10 Feb 2011 12:42:00 +0900

g95 (0.92-2) unstable; urgency=low

  * fix missing Depends: binutils, libelf-dev, ia32-libs

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 15:40:46 +0900

g95 (0.92-1) unstable; urgency=low

  * New upstream release 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 23 Aug 2010 17:30:28 +0900

g95 (0.91-1) unstable; urgency=low

  *  Maintainer Changed

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 26 Jun 2009 18:10:59 +0900

g95 (0.91) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 21 Jun 2008 01:18:11 +0900

=== debian/control ===
Source: g95
Section: devel
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), wget, quilt (>= 0.46-7~)
Standards-Version: 3.9.1
Homepage: http://www.g95.org/

Package: g95
Architecture: any
Depends: libc6-dev | libc-dev,  ${shlibs:Depends}, ${misc:Depends}, binutils, libelf-dev, ia32-libs-dev [!i386]
Description: The G95 Fortran compiler 
 This is the G95 Fortran compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
